# $Id: flatzebra-0.1.spec.in,v 1.1 2003/04/26 04:19:06 sarrazip Exp $
# RPM specification file.

# Release number can be specified with rpm --define 'rel SOMETHING' ...
# If no such --define is used, the release number is 1.
#
# Source archive's extension can be specified with rpm --define 'srcext .foo'
# where .foo is the source archive's actual extension.
# To compile an RPM from a .bz2 source archive, give the command
#   rpm -tb --define 'srcext .bz2' flatzebra-0.1.0.tar.bz2
#
%if %{?rel:0}%{!?rel:1}
%define rel 1
%endif
%if %{?srcext:0}%{!?srcext:1}
%define srcext .gz
%endif

Summary: A Generic Game Engine library for 2D double-buffering animation
Name: flatzebra
Version: 0.1.0
Release: %{rel}
Copyright: GPL
Group: Amusements/Games
Source: %{name}-%{version}.tar%{srcext}
URL: http://sarrazip.com/dev/burgerspace.html
Packager: Pierre Sarrazin
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	SDL-devel	>= 1.2.4
BuildRequires:	SDL_image-devel	>= 1.2.2
BuildRequires:	SDL_mixer-devel	>= 1.2.4
Requires:	SDL		>= 1.2.4
Requires:	SDL_image	>= 1.2.2
Requires:	SDL_mixer	>= 1.2.4

%description
Generic Game Engine library suitable for BurgerSpace, Afternoon Stalker
and Cosmosmash.

%description -l fr
Moteur de jeu gnrique utilis par BurgerSpace, Afternoon Stalker
et Cosmosmash.

%package devel
Summary: C++ header files for the flatzebra library
Group: Development/Libraries
Requires: flatzebra = 0.1.0

%description devel
C++ header files for the FlatZebra library for 2D double-buffering
animation.

%description -l fr devel
En-ttes C++ pour la librairie flatzebra.


%prep
%setup

%build
./configure \
	CXXFLAGS="-DNDEBUG -O2" \
	--prefix=%{prefix} \
	--disable-static \
	--disable-maintainer-mode
make

%install
rm -fR $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -fR $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/include/*
%{prefix}/lib/lib*.so
%{prefix}/lib/lib*.*a
%{prefix}/lib/pkgconfig/*
